use nalgebra::DVector;
use sycamore::reactive::Signal;

#[derive(Clone, PartialEq)]
pub struct Element {
    pub id: String,
    pub label: String,
    pub color: [f32; 3],
    pub rep: DVector<f64>,
}

// a complete, view-independent description of an assembly
#[derive(Clone)]
pub struct Assembly {
    // the order of the elements is arbitrary, and it could change at any time
    pub elements: Signal<Vec<Element>>
}